Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryparser.flexible.standard.config
Class FieldBoostMapFCListener

    java.lang.Object
      org.apache.lucene.queryparser.flexible.standard.config.FieldBoostMapFCListener

All Implemented Interfaces:
  FieldConfigListener

    public class FieldBoostMapFCListener

extends Object
implements FieldConfigListener

This listener listens for every field configuration request and assign a `StandardQueryConfigHandler.ConfigurationKeys.BOOST` to the equivalent `FieldConfig` based on a defined map: fieldName -> boostValue stored in `StandardQueryConfigHandler.ConfigurationKeys.FIELD_BOOST_MAP`.

See Also:
  `StandardQueryConfigHandler.ConfigurationKeys.FIELD_BOOST_MAP`, `StandardQueryConfigHandler.ConfigurationKeys.BOOST`, `FieldConfig`, `FieldConfigListener`

Constructor Summary
`FieldBoostMapFCListener(QueryConfigHandler config)`

Method Summary
`void` | `buildFieldConfig(FieldConfig fieldConfig)` This method is called ever time a field configuration is requested.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldBoostMapFCListener

    public FieldBoostMapFCListener(QueryConfigHandler config)

Method Detail

### buildFieldConfig

    public void buildFieldConfig(FieldConfig fieldConfig)

  Description copied from interface: `FieldConfigListener`
  This method is called ever time a field configuration is requested.

  Specified by:
    `buildFieldConfig` in interface `FieldConfigListener`
  Parameters:
    `fieldConfig` - the field configuration requested, should never be null

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.